From 534ff3e8a1734bc83c093af1a5c3e3644d93713a Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 26 2023 22:17:32 +0000
Subject: [PATCH 1/14] [linux-libre-vanilla]: upgrade to v6.5.8


---

diff --git a/libre/linux-libre-vanilla/PKGBUILD b/libre/linux-libre-vanilla/PKGBUILD
index bc11749..8156474 100644
--- a/libre/linux-libre-vanilla/PKGBUILD
+++ b/libre/linux-libre-vanilla/PKGBUILD
@@ -27,7 +27,7 @@
 
 
 pkgbase=linux-libre-vanilla
-pkgver=6.5.7
+pkgver=6.5.8
 _minor_ver=$(sed 's|\([0-9]\+\.[0-9]\+\).*|\1|' <<<${pkgver}) # eg: 6.1
 _upstream_minor_ver=${_minor_ver}-gnu                         # eg: 6.1-gnu
 _upstream_ver=${pkgver}-gnu                                   # eg: 6.1.5-gnu
@@ -76,7 +76,7 @@ sha512sums=('45c8beef2e529df41f21819583ac8bdc37f6cf34434d94ae5ef08586b2d82721e3c
             'SKIP'
             '267295aa0cea65684968420c68b32f1a66a22d018b9d2b2c1ef14267bcf4cb68aaf7099d073cbfefe6c25c8608bdcbbd45f7ac8893fdcecbf1e621abdfe9ecc1'
             'SKIP')
-(( _is_patch_release )) && sha512sums+=('4e7aadcad26cb43f9b798c2fe6f39793f7e3aebeb86a442b3588faaa268c2333704fd74eb36ff87bd8db9e5399e41f86736f8fdf16ae555d3c86f194f3d1da87'
+(( _is_patch_release )) && sha512sums+=('9eaa0ffebe5628b8d1f67795b72a5a76f4e5ffa9d73963123e33e26380f37ce81277d6088323ff41a308ab2dea191b959a6b05e6d85d318ccba8c383ab2ff605'
                                         'SKIP')
 sha512sums_armv7h=('47d16ffc94510d4a8773146a46cfb35aca8cfdae38d17283334cd62d92de36250fbec90e9892357033398ecc7d970127b1a41b703a8372972422ca4af7c90c70'
                    'f10af02f0cb2d31259d9633e1ba845f555f525789f750fc2ddc51bd18c5ff64fcdd242dae801623887f5ce5cdb5528bce890459f0fab9fd31a28868bb7f6bba5'

From d59b6abb6515270eb1a11beaacc8313223a0e3c4 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 26 2023 22:18:09 +0000
Subject: [PATCH 2/14] [linux-libre-vanilla]: emergency replacement for 'linux-libre' (BR #3539)


the previous emergency 'linux-libre' was missing the FSDG provides/conflicts/replaces
and the VCS omitted the renamed .install and .preset files

---

diff --git a/libre/linux-libre-vanilla/PKGBUILD b/libre/linux-libre-vanilla/PKGBUILD
index 8156474..4bc0208 100644
--- a/libre/linux-libre-vanilla/PKGBUILD
+++ b/libre/linux-libre-vanilla/PKGBUILD
@@ -26,13 +26,13 @@
 #   - linux-libre-docs:    extra/systeroid requires linux-docs
 
 
-pkgbase=linux-libre-vanilla
+pkgbase=linux-libre # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
 pkgver=6.5.8
 _minor_ver=$(sed 's|\([0-9]\+\.[0-9]\+\).*|\1|' <<<${pkgver}) # eg: 6.1
 _upstream_minor_ver=${_minor_ver}-gnu                         # eg: 6.1-gnu
 _upstream_ver=${pkgver}-gnu                                   # eg: 6.1.5-gnu
 _is_patch_release=$( [[ ${_upstream_minor_ver} != ${_upstream_ver} ]] ; echo $((!$?)) ; )
-pkgrel=1
+pkgrel=1.vanilla1 # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
 pkgdesc="Linux-libre (pristine upstream release)"
 url=https://linux-libre.fsfla.org/
 arch=(armv7h i686 x86_64)
@@ -90,6 +90,15 @@ validpgpkeys=('474402C8C582DAFBE389C427BCB7CF877E7D47A7'  # Alexandre Oliva
               '6DB9C4B4F0D8C0DC432CF6E4227CA7C556B2BA78') # David P.
 
 
+# FIXME: 'linux-libre' fails to load modules with 'kmod' v31
+_replacesarchkernel=('linux%') # '%' gets replaced with kernel suffix
+_replacesoldkernels=() # '%' gets replaced with kernel suffix
+_replacesoldmodules=() # '%' gets replaced with kernel suffix
+_replacesarchkernel=("${_replacesarchkernel[@]/\%/${pkgbase#linux-libre}}")
+_replacesoldkernels=("${_replacesoldkernels[@]/\%/${pkgbase#linux-libre}}")
+_replacesoldmodules=("${_replacesoldmodules[@]/\%/${pkgbase#linux-libre}}")
+
+
 # per-arch KARCH
 case "$CARCH" in
   i686|x86_64) KARCH=x86;;
@@ -179,6 +188,11 @@ _package() {
   backup=("etc/mkinitcpio.d/${pkgbase}.preset")
   if [[ "$CARCH" == armv7h ]] ; then install=${pkgname}-armv7h.install ; fi ; # BR #3520
 
+  # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
+  provides+=("${_replacesarchkernel[@]/%/=$pkgver}" "LINUX-ABI_VERSION=$pkgver")
+  conflicts+=("${_replacesarchkernel[@]}" "${_replacesoldkernels[@]}" "${_replacesoldmodules[@]}")
+  replaces+=("${_replacesarchkernel[@]}" "${_replacesoldkernels[@]}" "${_replacesoldmodules[@]}")
+
   cd $_srcname
   local modulesdir="$pkgdir/usr/lib/modules/$(<version)"
 
@@ -227,6 +241,11 @@ _package-headers() {
   depends=(pahole)
   provides=("linux-libre-headers=${pkgver}")
 
+  # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
+  provides=("${_replacesarchkernel[@]/%/-headers=$pkgver}")
+  conflicts=("${_replacesarchkernel[@]/%/-headers}" "${_replacesoldkernels[@]/%/-headers}")
+  replaces=("${_replacesarchkernel[@]/%/-headers}" "${_replacesoldkernels[@]/%/-headers}")
+
   cd $_srcname
   local builddir="$pkgdir/usr/lib/modules/$(<version)/build"
 
@@ -320,6 +339,11 @@ _package-docs() {
   pkgdesc="Documentation for the $pkgdesc kernel"
   provides=("linux-libre-docs=${pkgver}")
 
+  # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
+  provides=("${_replacesarchkernel[@]/%/-docs=$pkgver}")
+  conflicts=("${_replacesarchkernel[@]/%/-docs}" "${_replacesoldkernels[@]/%/-docs}")
+  replaces=("${_replacesarchkernel[@]/%/-docs}" "${_replacesoldkernels[@]/%/-docs}")
+
   cd $_srcname
   local builddir="$pkgdir/usr/lib/modules/$(<version)/build"
 
@@ -343,6 +367,11 @@ _package-chromebook() {
   replaces=("linux-libre-armv7-chromebook")
   install=${pkgname}.install
 
+  # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
+  provides=("${_replacesarchkernel[@]/%/-armv7-chromebook=$pkgver}")
+  conflicts=("${_replacesarchkernel[@]/%/-armv7-chromebook}" "${_replacesoldkernels[@]/%/-armv7-chromebook}")
+  replaces=("${_replacesarchkernel[@]/%/-armv7-chromebook}" "${_replacesoldkernels[@]/%/-armv7-chromebook}")
+
   cd $_srcname
 
   cp ../kernel.its .
diff --git a/libre/linux-libre-vanilla/linux-libre-armv7h.install b/libre/linux-libre-vanilla/linux-libre-armv7h.install
new file mode 100644
index 0000000..75fceb8
--- /dev/null
+++ b/libre/linux-libre-vanilla/linux-libre-armv7h.install
@@ -0,0 +1,30 @@
+# armv7h mkinitcpio and install hooks do not manage the /boot dir properly (BR #3520)
+
+_pkgbase=linux-libre-vanilla
+_variant=${_pkgbase#linux-libre}
+_kernel_dest=boot/vmlinuz-${_pkgbase}
+
+_install()
+{
+  local pkgver=${1%-*}
+  local kver=${pkgver}-gnu-[0-9]${_variant}
+
+  [[ ! -f "${_kernel_dest}" ]] || ! echo "nothing to do" || return 0
+
+# mv ${kver} 2> /dev/null            ${_kernel_dest} ||
+  mv ${kver}                         ${_kernel_dest} ||
+  cp usr/lib/modules/${kver}/vmlinuz ${_kernel_dest}
+}
+
+post_install() { _install $1 ; }
+
+post_upgrade() { _install $1 ; }
+
+post_remove()
+{
+  [[ -f boot/initramfs-${_pkgbase}.img ]] ||
+  [[ -f boot/vmlinuz-${_pkgbase}       ]] || ! echo "nothing to do" || return 0
+
+  rm -f boot/initramfs-${_pkgbase}.img
+  rm -f boot/vmlinuz-${_pkgbase}
+}
diff --git a/libre/linux-libre-vanilla/linux-libre-armv7h.preset b/libre/linux-libre-vanilla/linux-libre-armv7h.preset
new file mode 100644
index 0000000..ca3832f
--- /dev/null
+++ b/libre/linux-libre-vanilla/linux-libre-armv7h.preset
@@ -0,0 +1,10 @@
+# mkinitcpio preset file for the '%PKGBASE%' package
+
+ALL_config="/etc/mkinitcpio.conf"
+ALL_kver="%KERNVER%"
+
+PRESETS=('default')
+
+#default_config="/etc/mkinitcpio.conf"
+default_image="/boot/initramfs-%PKGBASE%.img"
+#default_options=""
diff --git a/libre/linux-libre-vanilla/linux-libre-chromebook.install b/libre/linux-libre-vanilla/linux-libre-chromebook.install
new file mode 100644
index 0000000..f6ca022
--- /dev/null
+++ b/libre/linux-libre-vanilla/linux-libre-chromebook.install
@@ -0,0 +1,30 @@
+flash_kernel() {
+  if mountpoint -q /boot; then
+    major=$(mountpoint -d /boot | cut -f 1 -d ':')
+    minor=$(mountpoint -d /boot | cut -f 2 -d ':')
+  else
+    major=$(mountpoint -d / | cut -f 1 -d ':')
+    minor=$(mountpoint -d / | cut -f 2 -d ':')
+  fi
+  device=$(cat /proc/partitions | awk {'if ($1 == "'${major}'" && $2 == "'${minor}'") print $4 '})
+  device="/dev/${device/%2/1}"
+
+  echo "A new kernel version needs to be flashed onto ${device}."
+  echo "Do you want to do this now? [y|N]"
+  read -r shouldwe
+  if [[ $shouldwe =~ ^([yY][eE][sS]|[yY])$ ]]; then
+    dd if=/boot/vmlinux.kpart of=${device}
+    sync
+  else
+    echo "You can do this later by running:"
+    echo "# dd if=/boot/vmlinux.kpart of=${device}"
+  fi
+}
+
+post_install () {
+  flash_kernel
+}
+
+post_upgrade() {
+  flash_kernel
+}
diff --git a/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.install b/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.install
deleted file mode 100644
index 75fceb8..0000000
--- a/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.install
+++ /dev/null
@@ -1,30 +0,0 @@
-# armv7h mkinitcpio and install hooks do not manage the /boot dir properly (BR #3520)
-
-_pkgbase=linux-libre-vanilla
-_variant=${_pkgbase#linux-libre}
-_kernel_dest=boot/vmlinuz-${_pkgbase}
-
-_install()
-{
-  local pkgver=${1%-*}
-  local kver=${pkgver}-gnu-[0-9]${_variant}
-
-  [[ ! -f "${_kernel_dest}" ]] || ! echo "nothing to do" || return 0
-
-# mv ${kver} 2> /dev/null            ${_kernel_dest} ||
-  mv ${kver}                         ${_kernel_dest} ||
-  cp usr/lib/modules/${kver}/vmlinuz ${_kernel_dest}
-}
-
-post_install() { _install $1 ; }
-
-post_upgrade() { _install $1 ; }
-
-post_remove()
-{
-  [[ -f boot/initramfs-${_pkgbase}.img ]] ||
-  [[ -f boot/vmlinuz-${_pkgbase}       ]] || ! echo "nothing to do" || return 0
-
-  rm -f boot/initramfs-${_pkgbase}.img
-  rm -f boot/vmlinuz-${_pkgbase}
-}
diff --git a/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.preset b/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.preset
deleted file mode 100644
index ca3832f..0000000
--- a/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.preset
+++ /dev/null
@@ -1,10 +0,0 @@
-# mkinitcpio preset file for the '%PKGBASE%' package
-
-ALL_config="/etc/mkinitcpio.conf"
-ALL_kver="%KERNVER%"
-
-PRESETS=('default')
-
-#default_config="/etc/mkinitcpio.conf"
-default_image="/boot/initramfs-%PKGBASE%.img"
-#default_options=""
diff --git a/libre/linux-libre-vanilla/linux-libre-vanilla-chromebook.install b/libre/linux-libre-vanilla/linux-libre-vanilla-chromebook.install
deleted file mode 100644
index f6ca022..0000000
--- a/libre/linux-libre-vanilla/linux-libre-vanilla-chromebook.install
+++ /dev/null
@@ -1,30 +0,0 @@
-flash_kernel() {
-  if mountpoint -q /boot; then
-    major=$(mountpoint -d /boot | cut -f 1 -d ':')
-    minor=$(mountpoint -d /boot | cut -f 2 -d ':')
-  else
-    major=$(mountpoint -d / | cut -f 1 -d ':')
-    minor=$(mountpoint -d / | cut -f 2 -d ':')
-  fi
-  device=$(cat /proc/partitions | awk {'if ($1 == "'${major}'" && $2 == "'${minor}'") print $4 '})
-  device="/dev/${device/%2/1}"
-
-  echo "A new kernel version needs to be flashed onto ${device}."
-  echo "Do you want to do this now? [y|N]"
-  read -r shouldwe
-  if [[ $shouldwe =~ ^([yY][eE][sS]|[yY])$ ]]; then
-    dd if=/boot/vmlinux.kpart of=${device}
-    sync
-  else
-    echo "You can do this later by running:"
-    echo "# dd if=/boot/vmlinux.kpart of=${device}"
-  fi
-}
-
-post_install () {
-  flash_kernel
-}
-
-post_upgrade() {
-  flash_kernel
-}

From 2ab2298d8f5b7062abc32529ecc8da022ce5443a Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 26 2023 22:19:19 +0000
Subject: [PATCH 3/14] [linux-libre-vanilla] revert pkgbase


---

diff --git a/libre/linux-libre-vanilla/PKGBUILD b/libre/linux-libre-vanilla/PKGBUILD
index 4bc0208..8156474 100644
--- a/libre/linux-libre-vanilla/PKGBUILD
+++ b/libre/linux-libre-vanilla/PKGBUILD
@@ -26,13 +26,13 @@
 #   - linux-libre-docs:    extra/systeroid requires linux-docs
 
 
-pkgbase=linux-libre # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
+pkgbase=linux-libre-vanilla
 pkgver=6.5.8
 _minor_ver=$(sed 's|\([0-9]\+\.[0-9]\+\).*|\1|' <<<${pkgver}) # eg: 6.1
 _upstream_minor_ver=${_minor_ver}-gnu                         # eg: 6.1-gnu
 _upstream_ver=${pkgver}-gnu                                   # eg: 6.1.5-gnu
 _is_patch_release=$( [[ ${_upstream_minor_ver} != ${_upstream_ver} ]] ; echo $((!$?)) ; )
-pkgrel=1.vanilla1 # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
+pkgrel=1
 pkgdesc="Linux-libre (pristine upstream release)"
 url=https://linux-libre.fsfla.org/
 arch=(armv7h i686 x86_64)
@@ -90,15 +90,6 @@ validpgpkeys=('474402C8C582DAFBE389C427BCB7CF877E7D47A7'  # Alexandre Oliva
               '6DB9C4B4F0D8C0DC432CF6E4227CA7C556B2BA78') # David P.
 
 
-# FIXME: 'linux-libre' fails to load modules with 'kmod' v31
-_replacesarchkernel=('linux%') # '%' gets replaced with kernel suffix
-_replacesoldkernels=() # '%' gets replaced with kernel suffix
-_replacesoldmodules=() # '%' gets replaced with kernel suffix
-_replacesarchkernel=("${_replacesarchkernel[@]/\%/${pkgbase#linux-libre}}")
-_replacesoldkernels=("${_replacesoldkernels[@]/\%/${pkgbase#linux-libre}}")
-_replacesoldmodules=("${_replacesoldmodules[@]/\%/${pkgbase#linux-libre}}")
-
-
 # per-arch KARCH
 case "$CARCH" in
   i686|x86_64) KARCH=x86;;
@@ -188,11 +179,6 @@ _package() {
   backup=("etc/mkinitcpio.d/${pkgbase}.preset")
   if [[ "$CARCH" == armv7h ]] ; then install=${pkgname}-armv7h.install ; fi ; # BR #3520
 
-  # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
-  provides+=("${_replacesarchkernel[@]/%/=$pkgver}" "LINUX-ABI_VERSION=$pkgver")
-  conflicts+=("${_replacesarchkernel[@]}" "${_replacesoldkernels[@]}" "${_replacesoldmodules[@]}")
-  replaces+=("${_replacesarchkernel[@]}" "${_replacesoldkernels[@]}" "${_replacesoldmodules[@]}")
-
   cd $_srcname
   local modulesdir="$pkgdir/usr/lib/modules/$(<version)"
 
@@ -241,11 +227,6 @@ _package-headers() {
   depends=(pahole)
   provides=("linux-libre-headers=${pkgver}")
 
-  # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
-  provides=("${_replacesarchkernel[@]/%/-headers=$pkgver}")
-  conflicts=("${_replacesarchkernel[@]/%/-headers}" "${_replacesoldkernels[@]/%/-headers}")
-  replaces=("${_replacesarchkernel[@]/%/-headers}" "${_replacesoldkernels[@]/%/-headers}")
-
   cd $_srcname
   local builddir="$pkgdir/usr/lib/modules/$(<version)/build"
 
@@ -339,11 +320,6 @@ _package-docs() {
   pkgdesc="Documentation for the $pkgdesc kernel"
   provides=("linux-libre-docs=${pkgver}")
 
-  # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
-  provides=("${_replacesarchkernel[@]/%/-docs=$pkgver}")
-  conflicts=("${_replacesarchkernel[@]/%/-docs}" "${_replacesoldkernels[@]/%/-docs}")
-  replaces=("${_replacesarchkernel[@]/%/-docs}" "${_replacesoldkernels[@]/%/-docs}")
-
   cd $_srcname
   local builddir="$pkgdir/usr/lib/modules/$(<version)/build"
 
@@ -367,11 +343,6 @@ _package-chromebook() {
   replaces=("linux-libre-armv7-chromebook")
   install=${pkgname}.install
 
-  # FIXME: 'linux-libre' fails to load modules with 'kmod' v31
-  provides=("${_replacesarchkernel[@]/%/-armv7-chromebook=$pkgver}")
-  conflicts=("${_replacesarchkernel[@]/%/-armv7-chromebook}" "${_replacesoldkernels[@]/%/-armv7-chromebook}")
-  replaces=("${_replacesarchkernel[@]/%/-armv7-chromebook}" "${_replacesoldkernels[@]/%/-armv7-chromebook}")
-
   cd $_srcname
 
   cp ../kernel.its .
diff --git a/libre/linux-libre-vanilla/linux-libre-armv7h.install b/libre/linux-libre-vanilla/linux-libre-armv7h.install
deleted file mode 100644
index 75fceb8..0000000
--- a/libre/linux-libre-vanilla/linux-libre-armv7h.install
+++ /dev/null
@@ -1,30 +0,0 @@
-# armv7h mkinitcpio and install hooks do not manage the /boot dir properly (BR #3520)
-
-_pkgbase=linux-libre-vanilla
-_variant=${_pkgbase#linux-libre}
-_kernel_dest=boot/vmlinuz-${_pkgbase}
-
-_install()
-{
-  local pkgver=${1%-*}
-  local kver=${pkgver}-gnu-[0-9]${_variant}
-
-  [[ ! -f "${_kernel_dest}" ]] || ! echo "nothing to do" || return 0
-
-# mv ${kver} 2> /dev/null            ${_kernel_dest} ||
-  mv ${kver}                         ${_kernel_dest} ||
-  cp usr/lib/modules/${kver}/vmlinuz ${_kernel_dest}
-}
-
-post_install() { _install $1 ; }
-
-post_upgrade() { _install $1 ; }
-
-post_remove()
-{
-  [[ -f boot/initramfs-${_pkgbase}.img ]] ||
-  [[ -f boot/vmlinuz-${_pkgbase}       ]] || ! echo "nothing to do" || return 0
-
-  rm -f boot/initramfs-${_pkgbase}.img
-  rm -f boot/vmlinuz-${_pkgbase}
-}
diff --git a/libre/linux-libre-vanilla/linux-libre-armv7h.preset b/libre/linux-libre-vanilla/linux-libre-armv7h.preset
deleted file mode 100644
index ca3832f..0000000
--- a/libre/linux-libre-vanilla/linux-libre-armv7h.preset
+++ /dev/null
@@ -1,10 +0,0 @@
-# mkinitcpio preset file for the '%PKGBASE%' package
-
-ALL_config="/etc/mkinitcpio.conf"
-ALL_kver="%KERNVER%"
-
-PRESETS=('default')
-
-#default_config="/etc/mkinitcpio.conf"
-default_image="/boot/initramfs-%PKGBASE%.img"
-#default_options=""
diff --git a/libre/linux-libre-vanilla/linux-libre-chromebook.install b/libre/linux-libre-vanilla/linux-libre-chromebook.install
deleted file mode 100644
index f6ca022..0000000
--- a/libre/linux-libre-vanilla/linux-libre-chromebook.install
+++ /dev/null
@@ -1,30 +0,0 @@
-flash_kernel() {
-  if mountpoint -q /boot; then
-    major=$(mountpoint -d /boot | cut -f 1 -d ':')
-    minor=$(mountpoint -d /boot | cut -f 2 -d ':')
-  else
-    major=$(mountpoint -d / | cut -f 1 -d ':')
-    minor=$(mountpoint -d / | cut -f 2 -d ':')
-  fi
-  device=$(cat /proc/partitions | awk {'if ($1 == "'${major}'" && $2 == "'${minor}'") print $4 '})
-  device="/dev/${device/%2/1}"
-
-  echo "A new kernel version needs to be flashed onto ${device}."
-  echo "Do you want to do this now? [y|N]"
-  read -r shouldwe
-  if [[ $shouldwe =~ ^([yY][eE][sS]|[yY])$ ]]; then
-    dd if=/boot/vmlinux.kpart of=${device}
-    sync
-  else
-    echo "You can do this later by running:"
-    echo "# dd if=/boot/vmlinux.kpart of=${device}"
-  fi
-}
-
-post_install () {
-  flash_kernel
-}
-
-post_upgrade() {
-  flash_kernel
-}
diff --git a/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.install b/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.install
new file mode 100644
index 0000000..75fceb8
--- /dev/null
+++ b/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.install
@@ -0,0 +1,30 @@
+# armv7h mkinitcpio and install hooks do not manage the /boot dir properly (BR #3520)
+
+_pkgbase=linux-libre-vanilla
+_variant=${_pkgbase#linux-libre}
+_kernel_dest=boot/vmlinuz-${_pkgbase}
+
+_install()
+{
+  local pkgver=${1%-*}
+  local kver=${pkgver}-gnu-[0-9]${_variant}
+
+  [[ ! -f "${_kernel_dest}" ]] || ! echo "nothing to do" || return 0
+
+# mv ${kver} 2> /dev/null            ${_kernel_dest} ||
+  mv ${kver}                         ${_kernel_dest} ||
+  cp usr/lib/modules/${kver}/vmlinuz ${_kernel_dest}
+}
+
+post_install() { _install $1 ; }
+
+post_upgrade() { _install $1 ; }
+
+post_remove()
+{
+  [[ -f boot/initramfs-${_pkgbase}.img ]] ||
+  [[ -f boot/vmlinuz-${_pkgbase}       ]] || ! echo "nothing to do" || return 0
+
+  rm -f boot/initramfs-${_pkgbase}.img
+  rm -f boot/vmlinuz-${_pkgbase}
+}
diff --git a/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.preset b/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.preset
new file mode 100644
index 0000000..ca3832f
--- /dev/null
+++ b/libre/linux-libre-vanilla/linux-libre-vanilla-armv7h.preset
@@ -0,0 +1,10 @@
+# mkinitcpio preset file for the '%PKGBASE%' package
+
+ALL_config="/etc/mkinitcpio.conf"
+ALL_kver="%KERNVER%"
+
+PRESETS=('default')
+
+#default_config="/etc/mkinitcpio.conf"
+default_image="/boot/initramfs-%PKGBASE%.img"
+#default_options=""
diff --git a/libre/linux-libre-vanilla/linux-libre-vanilla-chromebook.install b/libre/linux-libre-vanilla/linux-libre-vanilla-chromebook.install
new file mode 100644
index 0000000..f6ca022
--- /dev/null
+++ b/libre/linux-libre-vanilla/linux-libre-vanilla-chromebook.install
@@ -0,0 +1,30 @@
+flash_kernel() {
+  if mountpoint -q /boot; then
+    major=$(mountpoint -d /boot | cut -f 1 -d ':')
+    minor=$(mountpoint -d /boot | cut -f 2 -d ':')
+  else
+    major=$(mountpoint -d / | cut -f 1 -d ':')
+    minor=$(mountpoint -d / | cut -f 2 -d ':')
+  fi
+  device=$(cat /proc/partitions | awk {'if ($1 == "'${major}'" && $2 == "'${minor}'") print $4 '})
+  device="/dev/${device/%2/1}"
+
+  echo "A new kernel version needs to be flashed onto ${device}."
+  echo "Do you want to do this now? [y|N]"
+  read -r shouldwe
+  if [[ $shouldwe =~ ^([yY][eE][sS]|[yY])$ ]]; then
+    dd if=/boot/vmlinux.kpart of=${device}
+    sync
+  else
+    echo "You can do this later by running:"
+    echo "# dd if=/boot/vmlinux.kpart of=${device}"
+  fi
+}
+
+post_install () {
+  flash_kernel
+}
+
+post_upgrade() {
+  flash_kernel
+}

From 720999f1f6cd213db20e33eddfb8f2dd91776c99 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 26 2023 22:19:31 +0000
Subject: [PATCH 4/14] [xtables-addons]: rebuild against latest kernel


---

diff --git a/pcr/xtables-addons/PKGBUILD b/pcr/xtables-addons/PKGBUILD
index 749bfd2..033c9bd 100644
--- a/pcr/xtables-addons/PKGBUILD
+++ b/pcr/xtables-addons/PKGBUILD
@@ -14,10 +14,15 @@ depends=('iptables' 'glibc' 'linux')
 makedepends=('linux-api-headers' 'linux-headers' 'libtool' 'gcc' 'pkg-config')
 source=("https://inai.de/files/${pkgname}/${pkgname}-${pkgver}.tar.xz")
 sha256sums=('3e823f71720519ced31c4c7d2bfaf7120d9c01c59a0843dfcbe93c95c64d81c1')
-_kernel=6.5.5
+depends=(     ${depends[*]/iptables/}       ) # 'base'
+depends=(     ${depends[*]/glibc/}          ) # 'base'
+makedepends=( ${makedepends[*]/gcc/}        ) # 'base-devel'
+makedepends=( ${makedepends[*]/libtool/}    ) # 'base-devel'
+makedepends=( ${makedepends[*]/pkg-config/} ) # 'base-devel'
+_kernel=6.5.8
 _kernver=/usr/lib/modules/${_kernel}-*/
-depends=(     ${depends[*]/linux/linux-libre=${_kernel}}                     ) # minimize diff
-makedepends=( ${makedepends[*]/linux-headers/linux-libre-headers=${_kernel}} ) # minimize diff
+depends=(     ${depends[*]/linux/linux-libre=${_kernel}}                     )
+makedepends=( ${makedepends[*]/linux-headers/linux-libre-headers=${_kernel}} )
 
 prepare() {
   cd "${pkgname}-${pkgver}"
@@ -47,5 +52,5 @@ package() {
   libtool --finish "${pkgdir}/usr/lib"
   mv -f "${pkgdir}"/lib/* "${pkgdir}/usr/lib"
   rmdir "${pkgdir}/lib"
-  rm ${pkgdir}${_kernver}modules.*
+  rm -f ${pkgdir}${_kernver}modules.*
 }

From 18e23e2cc3d1557fc3622d52efac30d168aaa416 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 26 2023 23:05:56 +0000
Subject: [PATCH 5/14] [scripts/package-all-acpi_call-tp_smapi]: modify PKGBUILDs - commit to VCS - skip unsupported arches


---

diff --git a/libre/acpi_call-dkms/PKGBUILD b/libre/acpi_call-dkms/PKGBUILD
index 92cabba..bba40fd 100644
--- a/libre/acpi_call-dkms/PKGBUILD
+++ b/libre/acpi_call-dkms/PKGBUILD
@@ -14,9 +14,11 @@
 #   linux-libre-headers     <- acpi_call
 #                              tp_smapi
 #
-# these packages may be built as a batch, with the helper script:
+# These packages may be built as a batch, with the helper script:
 #   'scripts/package-all-acpi_call-tp_smapi'
-# simply edit '_basekernel' in each # TODO: automate that too
+# Simply edit 'KERNEL_VER' and/or 'KERNEL_LTS_VER' in the helper script.
+# It will build only those which the PKGBUILD '_basekernel' differs,
+# update '_basekernel', and commit the changes to VCS, if successful.
 
 
 _basekernel=6.1.5
diff --git a/libre/acpi_call-lts/PKGBUILD b/libre/acpi_call-lts/PKGBUILD
index 3eb8782..b4e2239 100644
--- a/libre/acpi_call-lts/PKGBUILD
+++ b/libre/acpi_call-lts/PKGBUILD
@@ -14,9 +14,11 @@
 #   linux-libre-headers     <- acpi_call
 #                              tp_smapi
 #
-# these packages may be built as a batch, with the helper script:
+# These packages may be built as a batch, with the helper script:
 #   'scripts/package-all-acpi_call-tp_smapi'
-# simply edit '_basekernel' in each # TODO: automate that too
+# Simply edit 'KERNEL_VER' and/or 'KERNEL_LTS_VER' in the helper script.
+# It will build only those which the PKGBUILD '_basekernel' differs,
+# update '_basekernel', and commit the changes to VCS, if successful.
 
 
 _basekernel=5.15.88
diff --git a/libre/acpi_call/PKGBUILD b/libre/acpi_call/PKGBUILD
index 664e90b..be7ff6e 100644
--- a/libre/acpi_call/PKGBUILD
+++ b/libre/acpi_call/PKGBUILD
@@ -14,9 +14,11 @@
 #   linux-libre-headers     <- acpi_call
 #                              tp_smapi
 #
-# these packages may be built as a batch, with the helper script:
-#   $ scripts/package-all-acpi_call-tp_smapi
-# simply edit '_basekernel' in each # TODO: automate that too
+# These packages may be built as a batch, with the helper script:
+#   'scripts/package-all-acpi_call-tp_smapi'
+# Simply edit 'KERNEL_VER' and/or 'KERNEL_LTS_VER' in the helper script.
+# It will build only those which the PKGBUILD '_basekernel' differs,
+# update '_basekernel', and commit the changes to VCS, if successful.
 
 
 _basekernel=6.1.5
diff --git a/libre/tp_smapi-lts/PKGBUILD b/libre/tp_smapi-lts/PKGBUILD
index 75714f8..234ae40 100644
--- a/libre/tp_smapi-lts/PKGBUILD
+++ b/libre/tp_smapi-lts/PKGBUILD
@@ -19,9 +19,11 @@
 #   linux-libre-headers     <- acpi_call
 #                              tp_smapi
 #
-# these packages may be built as a batch, with the helper script:
+# These packages may be built as a batch, with the helper script:
 #   'scripts/package-all-acpi_call-tp_smapi'
-# simply edit '_basekernel' in each # TODO: automate that too
+# Simply edit 'KERNEL_VER' and/or 'KERNEL_LTS_VER' in the helper script.
+# It will build only those which the PKGBUILD '_basekernel' differs,
+# update '_basekernel', and commit the changes to VCS, if successful.
 
 
 _basekernel=5.15.88
diff --git a/libre/tp_smapi/PKGBUILD b/libre/tp_smapi/PKGBUILD
index ce2ef46..abc79ca 100644
--- a/libre/tp_smapi/PKGBUILD
+++ b/libre/tp_smapi/PKGBUILD
@@ -19,9 +19,11 @@
 #   linux-libre-headers     <- acpi_call
 #                              tp_smapi
 #
-# these packages may be built as a batch, with the helper script:
+# These packages may be built as a batch, with the helper script:
 #   'scripts/package-all-acpi_call-tp_smapi'
-# simply edit '_basekernel' in each # TODO: automate that too
+# Simply edit 'KERNEL_VER' and/or 'KERNEL_LTS_VER' in the helper script.
+# It will build only those which the PKGBUILD '_basekernel' differs,
+# update '_basekernel', and commit the changes to VCS, if successful.
 
 
 _basekernel=6.1.5
diff --git a/scripts/package-all-acpi_call-tp_smapi b/scripts/package-all-acpi_call-tp_smapi
index 6575fdb..8ff5f8a 100755
--- a/scripts/package-all-acpi_call-tp_smapi
+++ b/scripts/package-all-acpi_call-tp_smapi
@@ -1,45 +1,70 @@
 #!/bin/bash
 
-# TODO: inject the appropriate values of '_basekernel' into the PKGBUILDs,
-#       and commit to VCS
-#         $ _commit_msg='[acpi_call][acpi_call-dkms][acpi_call-lts][tp_smapi][tp_smapi-lts]: rebuild against latest kernels'
-#         $ git commit -m "${_commit_msg}" "${PKGBUILDS[@]}"
 
-
-readonly KERNEL_VER=6.1.5
+readonly KERNEL_VER=6.5.8
 readonly KERNEL_LTS_VER=5.15.88
-readonly CHROOT_NAME_x86_64=x86_64
-readonly CHROOT_NAME_i686=i686
-readonly CHROOT_NAME_armv7h=armv7h
-readonly CHROOT_NAMES=( $CHROOT_NAME_x86_64 $CHROOT_NAME_i686 $CHROOT_NAME_armv7h )
-readonly ABS_ROOT=/var/lib/archbuild/packages/abslibre
-readonly PKG_DIRS=( $ABS_ROOT/libre/acpi_call{-dkms,,-lts}   # NOTE: -dkms first
-                    $ABS_ROOT/libre/tp_smapi{,-lts}        ) #       no trailing slashes
+readonly CHROOT_NAMES=( armv7h i686 x86_64 )
+readonly ABS_ROOT=/var/lib/archbuild/abslibre # no spaces
+readonly PKG_DIRS=( ${ABS_ROOT}/libre/acpi_call{-dkms,,-lts}   # -dkms first
+                    ${ABS_ROOT}/libre/tp_smapi{,-lts}        ) # no trailing slashes
+readonly PKGBUILDS=( ${PKG_DIRS[*]/%/\/PKGBUILD} )
 
 
 Main()
 {
-  local arch pkg_dir kver
+  local chroot pkg_dir kver pkgname pkgver pkgrel arches chroot_dir arch
+  local pkgs=()
+  local all_pkgs=()
+  local commit_msg=''
 
-  for arch in ${CHROOT_NAMES[*]}
-  do  sudo librechroot -n $arch update || exit 1
+  for chroot in ${CHROOT_NAMES[*]}
+  do  sudo librechroot -n ${chroot} update || exit 1
   done
 
   for pkg_dir in ${PKG_DIRS[*]}
-  do  kver=$( [[ $pkg_dir =~ -lts$ ]] && echo ${KERNEL_LTS_VER} || echo ${KERNEL_VER} )
+  do  kver=$( [[ "${pkg_dir}" =~ -lts$ ]] && echo ${KERNEL_LTS_VER} || echo ${KERNEL_VER} )
+      pkgs=()
+
+      [[ -d "${pkg_dir}" && -f "${pkg_dir}"/PKGBUILD ]] ||
+      ! echo "${pkg_dir} - no such PKGBUILD"            || continue
+
+      cd ${pkg_dir}/ ; git checkout HEAD PKGBUILD &> /dev/null ;
+
+      pkgname=$(source PKGBUILD ; echo ${pkgname} ;)
+      pkgver=$( source PKGBUILD ; echo ${pkgver}  ;)
+      pkgrel=$( source PKGBUILD ; echo ${pkgrel}  ;)
+      arches="$(source PKGBUILD ; echo ${arch[*]} ;)"
+      ! [[ "${pkgrel}" =~ \.basekernel${kver}$ ]] ||
+      ! echo "${pkg_dir} - skipping PKGBUILD"     || continue
 
-      cd $pkg_dir/
+      sed -i "s|^_basekernel=.*|_basekernel=${kver}|" PKGBUILD
+      pkgrel=$( source PKGBUILD ; echo ${pkgrel}  ;)
+      [[ "${pkgrel}" =~ \.basekernel${kver}$ ]]          ||
+      ! echo "ERROR: ${pkg_dir} - PKGBUILD not modified" || continue
 
-      sed -i "s|_basekernel=.*|_basekernel=${kver}|" PKGBUILD
+      for chroot in ${CHROOT_NAMES[*]}
+      do  chroot_dir=$(librechroot -n ${chroot} |& grep -E 'copydir +: ' | cut -d: -f2)
+          arch=$(source ${chroot_dir}/etc/os-release ; sed 's|-.*||' <<<${VARIANT_ID})
+          [[ -n "${arch}" && " ${arches} " =~ " ${arch} " ]] || continue
 
-      for arch in ${CHROOT_NAMES[*]}
-      do  sed "s|/$|| ; s|.*/\(.*\)|\1 ($arch)|" <<<$pkg_dir
+          echo "building pkgname: ${pkgname} in chroot: ${chroot}"
+          sudo libremakepkg -n ${chroot}
 
-          sudo libremakepkg -n $arch || break
+          pkgs+=( $(ls ${pkgname}-${pkgver}-${pkgrel}-${arch}.pkg.tar.zst 2> /dev/null) )
       done
+
+      if   (( ${#pkgs[*]} ))
+      then all_pkgs+=( ${pkgs[*]} )
+           commit_msg+="[$(basename ${pkg_dir})]"
+      else echo "ERROR: ${pkg_dir} - no packages generated"
+      fi
   done
 
-  echo DONE ; printf "%s/*.pkg.tar.* " "${PKG_DIRS[@]}" ;
-  ls $ABS_ROOT/libre/acpi_call{-dkms,,-lts}/*.pkg.tar.* \
-     $ABS_ROOT/libre/tp_smapi{,-lts}/*.pkg.tar.*
-} ; Main ;
+  if   (( ${#all_pkgs[*]} ))
+  then git commit -m "${commit_msg}: rebuild against latest kernels" ${PKGBUILDS[*]}
+  fi
+  echo "(${#all_pkgs[*]}) packages generated" ; printf "%s\n" ${all_pkgs[*]} ;
+}
+
+
+Main

From 6425992cb01af44d5553de2950f981b6c71ff7ed Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 26 2023 23:30:49 +0000
Subject: [PATCH 6/14] [tp_smapi][tp_smapi-lts]: upgrade to v0.44


---

diff --git a/libre/tp_smapi-lts/PKGBUILD b/libre/tp_smapi-lts/PKGBUILD
index 234ae40..c426652 100644
--- a/libre/tp_smapi-lts/PKGBUILD
+++ b/libre/tp_smapi-lts/PKGBUILD
@@ -9,6 +9,13 @@
 # Contributor: André Silva <emulatorman@hyperbola.info>
 # Contributor: Márcio Silva <coadde@hyperbola.info>
 # Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
+# Contributor: bill-auger <bill-auger@programmer.net>
+
+
+# parabola changes and rationale:
+#  - re-package for linux-libre
+#  - build from versioned source-ball rather than VCS
+#  - pin to kernel versions
 
 
 # build order:
@@ -28,28 +35,23 @@
 
 _basekernel=5.15.88
 
-pkgname=tp_smapi-lts
-pkgver=0.43
-pkgrel=207
+pkgname=tp_smapi
+pkgver=0.44
+pkgrel=15
 pkgrel+=.parabola1.basekernel${_basekernel}
 pkgdesc="Modules for ThinkPad's SMAPI functionality"
-pkgdesc+=" (for linux-libre-lts)"
+pkgdesc+=" (for 'linux-libre-lts')"
 arch=('x86_64')
 arch+=('i686')
 url='https://github.com/evgeni/tp_smapi'
-license=('GPL')
-makedepends=(linux-libre-lts-headers=${_basekernel} 'git' libelf)
-_commit=a63729ab30d85430048f65c37f29188ab484cd52  # tags/tp-smapi/0.43
-source=("git+https://github.com/evgeni/tp_smapi#commit=$_commit")
-sha256sums=('SKIP')
+license=(GPL)
+makedepends=(linux-libre-lts-headers=${_basekernel})
+source=(${pkgname}-${pkgver}.tar.gz::https://github.com/linux-thinkpad/${pkgname}/archive/refs/tags/${pkgname/_/-}/${pkgver}.tar.gz)
+sha256sums=('ccc317157c71df621ef92e0213c3a813de4a792fa1dce16a1784944edfcb9ea4')
 
-pkgver() {
-  cd tp_smapi
-  git describe --tags | sed 's/^tp-smapi\///;s/-/+/g'
-}
 
 build() {
-  cd tp_smapi
+  cd ${pkgname}-${pkgname/_/-}-${pkgver}
 
   # https://bugs.archlinux.org/task/54975 (kernel has no _GLOBAL_OFFSET_TABLE_):
   # Clear EXTRA_CFLAGS since it defaults to injecting CFLAGS and -fno-plt breaks the modules
@@ -61,12 +63,10 @@ package() {
   depends=(linux-libre-lts=${_basekernel})
 
   local extradir=/usr/lib/modules/$(</usr/src/linux-libre-lts/version)/extramodules
-  cd tp_smapi
+  cd ${pkgname}-${pkgname/_/-}-${pkgver}
 
-  # install kernel modules
   find . -name "*.ko" -exec install -Dt "$pkgdir$extradir" {} +
-
-  # compress kernel modules
+  find "$pkgdir" -name "*.ko" -exec strip --strip-debug {} +
   find "$pkgdir" -name "*.ko" -exec xz {} +
 
   # load module on startup
diff --git a/libre/tp_smapi/PKGBUILD b/libre/tp_smapi/PKGBUILD
index abc79ca..fba4002 100644
--- a/libre/tp_smapi/PKGBUILD
+++ b/libre/tp_smapi/PKGBUILD
@@ -9,6 +9,13 @@
 # Contributor: André Silva <emulatorman@hyperbola.info>
 # Contributor: Márcio Silva <coadde@hyperbola.info>
 # Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
+# Contributor: bill-auger <bill-auger@programmer.net>
+
+
+# parabola changes and rationale:
+#  - re-package for linux-libre
+#  - build from versioned source-ball rather than VCS
+#  - pin to kernel versions
 
 
 # build order:
@@ -26,30 +33,25 @@
 # update '_basekernel', and commit the changes to VCS, if successful.
 
 
-_basekernel=6.1.5
+_basekernel=6.5.8
 
 pkgname=tp_smapi
-pkgver=0.43
-pkgrel=364
+pkgver=0.44
+pkgrel=15
 pkgrel+=.parabola1.basekernel${_basekernel}
 pkgdesc="Modules for ThinkPad's SMAPI functionality"
-pkgdesc+=" (for linux-libre)"
+pkgdesc+=" (for 'linux-libre')"
 arch=('x86_64')
 arch+=('i686')
 url='https://github.com/evgeni/tp_smapi'
-license=('GPL')
-makedepends=(linux-libre-headers=${_basekernel} git libelf)
-_commit=a63729ab30d85430048f65c37f29188ab484cd52  # tags/tp-smapi/0.43
-source=("git+https://github.com/evgeni/tp_smapi#commit=$_commit")
-sha256sums=('SKIP')
+license=(GPL)
+makedepends=(linux-libre-headers=${_basekernel})
+source=(${pkgname}-${pkgver}.tar.gz::https://github.com/linux-thinkpad/${pkgname}/archive/refs/tags/${pkgname/_/-}/${pkgver}.tar.gz)
+sha256sums=('ccc317157c71df621ef92e0213c3a813de4a792fa1dce16a1784944edfcb9ea4')
 
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^tp-smapi\///;s/-/+/g'
-}
 
 build() {
-  cd $pkgname
+  cd ${pkgname}-${pkgname/_/-}-${pkgver}
 
   # https://bugs.archlinux.org/task/54975 (kernel has no _GLOBAL_OFFSET_TABLE_):
   # Clear EXTRA_CFLAGS since it defaults to injecting CFLAGS and -fno-plt breaks the modules
@@ -61,7 +63,7 @@ package() {
   depends=(linux-libre=${_basekernel})
 
   local extradir=/usr/lib/modules/$(</usr/src/linux-libre/version)/extramodules
-  cd $pkgname
+  cd ${pkgname}-${pkgname/_/-}-${pkgver}
 
   find . -name "*.ko" -exec install -Dt "$pkgdir$extradir" {} +
   find "$pkgdir" -name "*.ko" -exec strip --strip-debug {} +

From de0993aa0865ada94a8ecdc56222b4ae0bca0dd7 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 26 2023 23:31:01 +0000
Subject: [PATCH 7/14] [acpi_call][acpi_call-dkms][acpi_call-lts]: rebuild for latest kernel


---

diff --git a/libre/acpi_call-dkms/PKGBUILD b/libre/acpi_call-dkms/PKGBUILD
index bba40fd..ac07ff1 100644
--- a/libre/acpi_call-dkms/PKGBUILD
+++ b/libre/acpi_call-dkms/PKGBUILD
@@ -6,6 +6,11 @@
 # Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
 
 
+# parabola changes and rationale:
+#  - no significant change - re-package for linux-libre
+#  - pin to kernel versions
+
+
 # build order:
 #   acpi_call-dkms          <- acpi_call-lts
 #                              acpi_call
@@ -21,7 +26,7 @@
 # update '_basekernel', and commit the changes to VCS, if successful.
 
 
-_basekernel=6.1.5
+_basekernel=6.5.8
 
 pkgname=acpi_call-dkms
 _tag='9f1c0b5d046bdfdec769809435257647fd475473' # git rev-parse v${_tag_name}
@@ -29,7 +34,7 @@ pkgver=1.2.2
 pkgrel=1
 pkgrel+=.parabola1.basekernel${_basekernel}
 pkgdesc='A linux kernel module that enables calls to ACPI methods through /proc/acpi/call - module sources'
-pkgdesc+=' (for linux-libre)'
+pkgdesc+=" (for 'linux-libre')"
 url='https://github.com/nix-community/acpi_call'
 arch=('any')
 arch=('armv7h' 'i686' 'x86_64') # just to simplify the package-all-acpi_call-tp_smapi script
diff --git a/libre/acpi_call-lts/PKGBUILD b/libre/acpi_call-lts/PKGBUILD
index b4e2239..acf6229 100644
--- a/libre/acpi_call-lts/PKGBUILD
+++ b/libre/acpi_call-lts/PKGBUILD
@@ -6,6 +6,11 @@
 # Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
 
 
+# parabola changes and rationale:
+#  - no significant change - re-package for linux-libre
+#  - pin to kernel versions
+
+
 # build order:
 #   acpi_call-dkms          <- acpi_call-lts
 #                              acpi_call
@@ -28,7 +33,7 @@ pkgver=1.2.2
 pkgrel=11
 pkgrel+=.parabola1.basekernel${_basekernel}
 pkgdesc='A linux kernel module that enables calls to ACPI methods through /proc/acpi/call'
-pkgdesc+=' (for linux-libre-lts)'
+pkgdesc+=" (for 'linux-libre-lts')"
 url='https://github.com/mkottman/acpi_call'
 arch=('x86_64')
 arch+=('armv7h' 'i686')
diff --git a/libre/acpi_call/PKGBUILD b/libre/acpi_call/PKGBUILD
index be7ff6e..197887f 100644
--- a/libre/acpi_call/PKGBUILD
+++ b/libre/acpi_call/PKGBUILD
@@ -6,6 +6,11 @@
 # Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
 
 
+# parabola changes and rationale:
+#  - no significant change - re-package for linux-libre
+#  - pin to kernel versions
+
+
 # build order:
 #   acpi_call-dkms          <- acpi_call-lts
 #                              acpi_call
@@ -21,14 +26,14 @@
 # update '_basekernel', and commit the changes to VCS, if successful.
 
 
-_basekernel=6.1.5
+_basekernel=6.5.8
 
 pkgname=acpi_call
 pkgver=1.2.2
 pkgrel=40
 pkgrel+=.parabola1.basekernel${_basekernel}
 pkgdesc='A linux kernel module that enables calls to ACPI methods through /proc/acpi/call'
-pkgdesc+=' (for linux-libre)'
+pkgdesc+=" (for 'linux-libre')"
 url='https://github.com/mkottman/acpi_call'
 arch=('x86_64')
 arch+=('armv7h' 'i686')

From 2164c9b48f884d2da3036a628b53b0973a696df3 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 26 2023 23:31:14 +0000
Subject: [PATCH 8/14] [privoxy-openrc] adopt package


---

diff --git a/nonsystemd/privoxy-openrc/PKGBUILD b/nonsystemd/privoxy-openrc/PKGBUILD
new file mode 100644
index 0000000..c36f515
--- /dev/null
+++ b/nonsystemd/privoxy-openrc/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer (artix): Nathan Owens <ndowens@artixlinux.org>
+# Contributor: Rafli Akmal <rafliakmaltejakusuma@gmail.com>
+# Contributor: artoo <artoo@artixlinux.org>
+# Contributor: Oscar Campos <damnwidget@artixlinux.org>
+# Maintainer: Parabola Hackers <dev@lists.parabola.nu>
+
+pkgname=privoxy-openrc
+pkgver=20210505
+pkgrel=1
+pkgdesc="OpenRC privoxy init script"
+arch=('any')
+url="https://gitea.artixlinux.org/artixlinux/packages-openrc"
+license=('GPL2')
+groups=('openrc-galaxy')
+depends=('openrc' 'privoxy')
+provides=('init-privoxy')
+conflicts=('init-privoxy')
+source=("privoxy.initd")
+sha256sums=('e40431d539b9a1738c77dbeebea7c7b02e6b8e8952d5fa6d2a28415dc8ab7e47')
+
+package() {
+    install -Dm755 "$srcdir/privoxy.initd" "$pkgdir/etc/init.d/privoxy"
+}
diff --git a/nonsystemd/privoxy-openrc/privoxy.initd b/nonsystemd/privoxy-openrc/privoxy.initd
new file mode 100644
index 0000000..79eb617
--- /dev/null
+++ b/nonsystemd/privoxy-openrc/privoxy.initd
@@ -0,0 +1,13 @@
+#!/usr/bin/openrc-run
+# Copyright by Artix Linux team under GPLv2
+
+supervisor=supervise-daemon
+command=/usr/bin/privoxy
+command_args="--no-daemon /etc/privoxy/config"
+command_user="privoxy:privoxy"
+required_files="/etc/privoxy/config"
+
+depend() {
+	use net
+}
+

From acd84279cd95156aa0ba34c23856763fbfd5b6fb Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 26 2023 23:31:26 +0000
Subject: [PATCH 9/14] [kio5]: upgrade to v5.111.0


---

diff --git a/nonprism/kio5/PKGBUILD b/nonprism/kio5/PKGBUILD
index 45826fd..da41557 100644
--- a/nonprism/kio5/PKGBUILD
+++ b/nonprism/kio5/PKGBUILD
@@ -16,17 +16,18 @@
 
 _name=kio
 pkgname=${_name}5
-pkgver=5.110.0
-pkgrel=2
+pkgver=5.111.0
+pkgrel=1
 pkgrel+=.parabola1
-_pkgver_i686=5.105.0
-_pkgrel_i686=1.0.parabola2
+_pkgver_i686=5.105.0       # n/a i686
+_pkgrel_i686=1.0.parabola2 # n/a i686
 eval "[[ -v _pkgver_${CARCH} ]] && pkgver=\$_pkgver_${CARCH}" # our different arches do not
 eval "[[ -v _pkgrel_${CARCH} ]] && pkgrel=\$_pkgrel_${CARCH}" # always roll at the same speed
 pkgdesc='Resource and network access abstraction'
 pkgdesc+=', with privacy-respecting search engines only'
 arch=(x86_64)
-arch+=(armv7h i686)
+#arch+=(armv7h i686) # n/a i686
+arch+=(armv7h)       # n/a i686
 url='https://community.kde.org/Frameworks'
 license=(LGPL)
 depends=(solid5 kjobwidgets5 kbookmarks5 libxslt kwallet5 ktextwidgets5 kded5)
@@ -38,10 +39,8 @@ optdepends=('kio-extras: extra protocols support (sftp, fish and more)'
             'switcheroo-control: hybrid GPU support')
 conflicts=("$_name<5.111")
 replaces=("$_name<5.111")
-provides=($_name=$pkgver)
 groups=(kf5)
-source=(https://download.kde.org/stable/frameworks/${pkgver%.*}/$_name-$pkgver.tar.xz{,.sig}
-        https://invent.kde.org/frameworks/kio/-/commit/48322f44.patch)
+source=(https://download.kde.org/stable/frameworks/${pkgver%.*}/$_name-$pkgver.tar.xz{,.sig})
 source+=(duckduckgo_html.desktop
          duckduckgo_lite.desktop
          gnupg-keys.desktop
@@ -50,9 +49,8 @@ source+=(duckduckgo_html.desktop
          parabola-wiki.desktop
          searx.desktop
          yacy.desktop)
-sha256sums=('228f9abcdfce1b23deacca97e9dd68d019e6b20607ddfe2295050333e90fc96b'
-            'SKIP'
-            'bff9696fc152c06fee2c4f21f1dc8a06c42745dbfe7fe88d47596bfb03d38220')
+sha256sums=('51bfd270942bcd80d8c3bfb72ee299d4d04a257f496b1843d9335d0db9afd045'
+            'SKIP')
 sha256sums+=('31910ab7393e67609f15e04a57f6406f63e6dae58b01bce0787741bc5958f292'
              '40466a9dad7075f2525e9e024720da7d7b49a22892b6fca8b81cc0e6408d2f7d'
              '57ded4375e1ddfe747bc55e3c52f4f39d1688f583c6af77da3479f544d262b71'
@@ -61,14 +59,12 @@ sha256sums+=('31910ab7393e67609f15e04a57f6406f63e6dae58b01bce0787741bc5958f292'
              '45af1a8588246c64c2e306237ef605406c5289c2ff53b5f459315c40c8e5099b'
              '0264268855ac59872fe6bde4ce5c7d5f4a9b4d6936f3c2f870fc9a34de323c54'
              '0a494a6bd652533b2ac1ea6a139e8b7295da29f840e5d0d7b2aa7e18886887ef')
-_sha256sum_i686='1f971115d3cc488973f74222c9ae3722ac630fa8c02c00d4ba22eb03ceb8677d'
+#_sha256sum_i686='1f971115d3cc488973f74222c9ae3722ac630fa8c02c00d4ba22eb03ceb8677d' # n/a i686
 eval "[[ -v _sha256sum_${CARCH} ]] && sha256sums[0]=\$_sha256sum_${CARCH}" # upstream source-ball
 validpgpkeys=(53E6B47B45CEA3E0D5B7457758D0EE648A48B3BB) # David Faure <faure@kde.org>
 
 
 prepare() {
-  patch -d $_name-$pkgver -p1 < 48322f44.patch # Fix crashes
-
   cd "${srcdir}"/${_name}-${pkgver}/
 
   # replace default search engines

From 2959980b509c4907dd738b2b52d1b090e7513f41 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 27 2023 02:55:41 +0000
Subject: [PATCH 10/14] [icecat][icewesel]: minimize diffs across PKGBUILDs


---

diff --git a/libre/icecat/PKGBUILD b/libre/icecat/PKGBUILD
index a765746..dc8c906 100644
--- a/libre/icecat/PKGBUILD
+++ b/libre/icecat/PKGBUILD
@@ -131,7 +131,6 @@ source+=(
   vendor.js.in
   zstandard-0.21.0.diff
 )
-source_armv7h=(build-arm-libopus.patch)
 source_i686=(
   avoid-libxul-OOM-python-check.patch
   rust-static-disable-network-test-on-static-libraries.patch
@@ -147,7 +146,6 @@ sha256sums+=('e00dbf01803cdd36fd9e1c0c018c19bb6f97e43016ea87062e6134bdc172bc7d'
              '33dd309eeb99ec730c97ba844bf6ce6c7840f7d27da19c82389cdefee8c20208'
              '8e113fd2730be3fd11b2a24918dd62e8741513cf4dce9819d8eae358c5411adc'
              'aa663d899e924f4979114584cad671dad3b93dd9b0dfe28bb1cf11ddf92e6d47') # zstandard-0.21.0.diff
-sha256sums_armv7h=('2d4d91f7e35d0860225084e37ec320ca6cae669f6c9c8fe7735cdbd542e3a7c9')
 sha256sums_i686=('2f0c81a38c4578f68f5456b618fe84a78974072821488173eb55e0e72287e353'
                  '10c5276eab2e87f400a6ec15d7ffbef3b0407ee888dea36f1128927ca55b9041'
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'
@@ -157,15 +155,25 @@ sha256sums_i686=('2f0c81a38c4578f68f5456b618fe84a78974072821488173eb55e0e72287e3
 
 ## compiler and optimization tweaks ##
 
-# disable PGO for 32-bit arches, 64-bit optionally
-# try '1' if the build hangs indefinitely - known past causes:
+# disable PGO
+# try this if the build hangs indefinitely - known past causes:
 #   * resource exhaustion
 #   * a test which misbehaves in environments without networking
-readonly _SHOULD_SKIP_PGO=$(case "${CARCH}" in armv7h|i686) echo 1 ;; *) echo 0 ;; esac)
+readonly _SKIP_PGO=$(case "${CARCH}" in armv7h|i686) echo 1 ;; *) echo 0 ;; esac)
 
-# use GCC vs LLVM for 32-bit arches, 64-bit optionally
-# trying one or the other, may resolve rolling compiler/linker discrepancies
-readonly _SHOULD_USE_GCC=$(case "${CARCH}" in armv7h) echo 1 ;; *) echo 0 ;; esac)
+# use GCC vs LLVM
+# trying one or the other, may resolve sporadic compiler/linker discrepancies
+readonly _USE_ALT_COMPILER=$(case "${CARCH}" in armv7h) echo 1 ;; *) echo 0 ;; esac)
+
+# use 'bfd' linker vs 'lld'
+# most significantly, this also disables LTO and debugging
+# try this if the build freezes or crashes due to resource exhaustion
+# FIXME: x86_64 FTBS with LTO due to resource exhaustion
+#        luke added a swapfile to beefcake, because this build crashed the server
+#        apparently, a measly 32GB RAM is no longer sufficient to contain this beast
+#        the system no longer crashes now; but the build process gets killed instead
+#        > clang-15: error: unable to execute command: Killed
+readonly _USE_ALT_LINKER=$(case "${CARCH}" in i686|x86_64) echo 1 ;; *) echo 0 ;; esac)
 
 
 ## dependency tweaks ##
@@ -173,16 +181,14 @@ readonly _SHOULD_USE_GCC=$(case "${CARCH}" in armv7h) echo 1 ;; *) echo 0 ;; esa
 case "${CARCH}" in
 armv7h)
   makedepends=( ${makedepends[*]/wasi-*/} ) # armv7h has no wasi compiler
+
+  depends+=( libicudata.so libicui18n.so libicuuc.so ) # --with-system-icu
   ;;
 i686)
   # checking for nodejs... /usr/bin/node: error while loading shared libraries: libicui18n.so.72
   makedepends+=( icu72 )
-
   # wasm-ld: error: cannot open /usr/lib/clang/15.0.7/lib/wasi/libclang_rt.builtins-wasm32.a: No such file or directory
-  makedepends=( ${makedepends[*]/wasi-*/}                     )
-  makedepends+=( 'wasi-libc++>=15'      'wasi-libc++<16'      ) # dustbin
-  makedepends+=( 'wasi-libc++abi>=15'   'wasi-libc++abi<16'   ) # dustbin
-  makedepends+=( 'wasi-compiler-rt>=15' 'wasi-compiler-rt<16' ) # dustbin
+  makedepends=( ${makedepends[*]/wasi-compiler-rt/wasi-compiler-rt=15.0.7} ) # dustbin
   ;;
 esac
 
@@ -262,7 +268,20 @@ prepare() {
     sed -i "s|# 'LIBYUV_DISABLE_NEON',|'LIBYUV_DISABLE_NEON',|" media/libyuv/libyuv/libyuv.gyp
     ! grep "# 'LIBYUV_DISABLE_NEON'," media/libyuv/libyuv/libyuv.gyp || ! echo "error patching media/libyuv/libyuv/libyuv.gyp" || exit 1
 
-    patch -p1 -i ../build-arm-libopus.patch
+    # FIXME: armv7h FTBS
+    # ld.lld: error: undefined hidden symbol: I422ToARGBRow_Any_NEON
+    #   also: I422ToARGBRow_NEON I444ToARGBRow_Any_NEON I444ToARGBRow_NEON
+    # referenced by Unified_cpp_gfx_ycbcr0.cpp
+    # toolkit/library/build/../../../gfx/ycbcr/Unified_cpp_gfx_ycbcr0.o:(YUVBuferIter_Init)
+    # ld.lld: error: undefined hidden symbol: ScaleARGBCols_NEON
+    #  also: InterpolateRow_NEON ScaleARGBFilterCols_NEON ScaleARGBRowDownEven_NEON
+    #        ScaleARGBCols_Any_NEON InterpolateRow_Any_NEON ScaleARGBFilterCols_Any_NEON
+    #        ScaleARGBRowDown2_Any_NEON ScaleARGBRowDownEvenBox_NEON
+    #        ScaleARGBRowDownEven_Any_NEON ScaleARGBRowDown2Box_NEON
+    #        ScaleARGBRowDownEvenBox_Any_NEON ScaleARGBRowDown2_NEON
+    #        ScaleARGBRowDown2Box_Any_NEON ScaleARGBRowDown2Linear_Any_NEON
+    #        ScaleARGBRowDown2Linear_NEON
+    # obj/toolkit/library/build/../../../gfx/ycbcr/Unified_cpp_gfx_ycbcr0.o:(YUVToARGBScale)
     ;;
   i686)
     # readelf: Error: Unable to seek to 0x801db328 for section headers
@@ -353,18 +372,31 @@ END
 
   ## [ARCH-SPECIFIC CONFIG] ##
 
-  case ${CARCH} in
-  aarch64|armv7h)
-    # experimental/version-specific hacks #
-
-    (( ! _SHOULD_USE_GCC )) ||
-    cat >> ../mozconfig <<EOF
+  if   (( _USE_ALT_COMPILER ))
+  then cat >> ../mozconfig <<END
 export CC=gcc
 export CXX=g++
 export AR=gcc-ar
 export NM=gcc-nm
 export RANLIB=gcc-ranlib
-EOF
+END
+  fi
+
+  if   (( _USE_ALT_LINKER ))
+  then sed -i '/cargo_rustc_flags += -Clto/d' config/makefiles/rust.mk
+       cat >> ../mozconfig <<END
+ac_add_options --disable-linker=lld
+ac_add_options --enable-linker=bfd
+ac_add_options --disable-lto
+ac_add_options --disable-rust-simd
+ac_add_options --disable-debug
+ac_add_options --disable-debug-symbols
+END
+  fi
+
+  case ${CARCH} in
+  aarch64|armv7h)
+    # experimental/version-specific hacks #
 
     # ld.lld: error: undefined hidden symbol: std::type_info::operator==(std::type_info const&) const
     echo 'ac_add_options --with-system-icu' >> ../mozconfig
@@ -372,7 +404,7 @@ EOF
 
     # archarm configuration #
 
-    # archarm has these over-rides in ## general configuration ## above
+    # archarm recipe has mozconfig over-rides under the 'general configuration' section
     # NOTE: '--disable-eme' is currently an invalid option for armv7h.
     #       It must be deleted in order to compile.
     #       If ever it becomes valid, it should not be deleted below.
@@ -400,6 +432,7 @@ EOF
     elif [[ $CARCH == "aarch64" ]]; then
       echo 'ac_add_options --enable-rust-simd' >> .mozconfig
     fi
+
     echo 'ac_add_options --enable-optimize="-g0 -O2"' >> .mozconfig
     echo "mk_add_options MOZ_MAKE_FLAGS=\"${MAKEFLAGS}\"" >> .mozconfig
 
@@ -407,8 +440,8 @@ EOF
 
     # archarm patching is under the 'technical patching' section
 
-    # At this point in the recipe (this `case` block), the arch, arch32, and parabola
-    # PKGBUILDs have prepared a temporary ${srcdir}/mozconfig; but the archarm PKGBUILD
+    # At this point in the recipe, the arch, arch32, and parabola PKGBUILDs
+    # have prepared a temporary ${srcdir}/mozconfig; but the archarm PKGBUILD
     # writes directly to the final firefox-$pkgver/.mozconfig.
     # We allowed .mozconfig to be written above, only to minimize the diff against archarm.
     # For consistency across arches, we append those changes to ${srcdir}/mozconfig now.
@@ -418,37 +451,17 @@ EOF
   i686)
     # experimental/version-specific hacks #
 
-    (( ! _SHOULD_USE_GCC )) ||
-    cat >>../mozconfig <<END
-export CC=gcc
-export CXX=g++
-export AR=gcc-ar
-export NM=gcc-nm
-export RANLIB=gcc-ranlib
-END
-
 
     # arch32 configuration #
 
     # arch32 `export` commands are under the '[ARCH-SPECIFIC BUILD ENV]' section
 
-    # NOTE: arch32 has these over-rides and the compiler flags above, in mozconfig-i686.patch
-    # disable LTO as it has little benefit and uses too many resources
-    # don't compile with clang, use gcc toolchain (clang has issues on IA32)
-    # disable SIMD (SSE2 for i686)
-    # set correct compiler and toochain tools
+    # arch32 recipe has mozconfig over-rides in mozconfig-i686.patch
+    # in this recipe, the '_USE_ALT_LINKER' block includes most of them
     cat >>../mozconfig <<END
-ac_add_options --disable-linker=lld
-ac_add_options --enable-linker=bfd
-ac_add_options --disable-lto
-ac_add_options --disable-rust-simd
-ac_add_options --disable-debug
-ac_add_options --disable-debug-symbols
 ac_add_options --disable-webrtc
 END
 
-    sed -i '/cargo_rustc_flags += -Clto/d' config/makefiles/rust.mk # FIXME: is this needed?
-
     # arch32 patching is under the 'technical patching' section
     ;;
   x86_64)
@@ -542,7 +555,7 @@ build() {
 
   ## PGO build ##
 
-  if (( _SHOULD_SKIP_PGO ))
+  if (( _SKIP_PGO ))
   then
     # skipping "3-tier PGO" "instrumented browser"; so the final .mozconfig is ready now
     cp ../mozconfig .mozconfig
@@ -578,7 +591,7 @@ ac_add_options --enable-profile-use=cross
 ac_add_options --with-pgo-profile-path=${PWD@Q}/merged.profdata
 ac_add_options --with-pgo-jarlog=${PWD@Q}/jarlog
 END
-  fi # _SHOULD_SKIP_PGO
+  fi # _SKIP_PGO
 
 
   ## sanity checks ##
@@ -588,7 +601,7 @@ END
 
   ## main build ##
 
-  (( ! _SHOULD_SKIP_PGO )) || echo "Building optimized browser..."
+  (( ! _SKIP_PGO )) || echo "Building optimized browser..."
   ./mach build
 
   # echo "Building symbol archive..." # anti-feature
@@ -615,6 +628,9 @@ pref("browser.shell.checkDefaultBrowser", false);
 
 // Don't disable extensions in the application directory
 pref("extensions.autoDisableScopes", 11);
+
+// Enable GNOME Shell search provider
+pref("browser.gnome-search-provider.enabled", true);
 END
 
   # Parabola additions to vendor.js
@@ -690,6 +706,16 @@ END
     ln -srfv "$pkgdir/usr/lib/libnssckbi.so" "$nssckbi"
   fi
 
+  # Configure GNOME Shell search provider
+  local sprovider="$pkgdir/usr/share/gnome-shell/search-providers/$pkgname.search-provider.ini"
+  install -Dvm644 /dev/stdin "$sprovider" <<END
+[Shell Search Provider]
+DesktopId=$pkgname.desktop
+BusName=org.mozilla.${pkgname//-/}.SearchProvider
+ObjectPath=/org/mozilla/${pkgname//-/}/SearchProvider
+Version=2
+END
+
   # export SOCORRO_SYMBOL_UPLOAD_TOKEN_FILE="$startdir/.crash-stats-api.token" # anti-feature
   # if [[ -f $SOCORRO_SYMBOL_UPLOAD_TOKEN_FILE ]]; then                        # anti-feature
   #   make -C obj uploadsymbols                                                # anti-feature
diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 500f975..ebcc871 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -165,7 +165,6 @@ source+=(
   vendor.js.in
   zstandard-0.21.0.diff
 )
-source_armv7h=(build-arm-libopus.patch)
 source_i686=(
   avoid-libxul-OOM-python-check.patch
   rust-static-disable-network-test-on-static-libraries.patch
@@ -192,7 +191,6 @@ sha256sums+=('b701b4c47fca2661feeabe172e398c76c8015ee08ff4cc3cc2f7c3ef2ed692a7'
              '00cb44a91b42942f17258ad165810866ff123777b667a5691ea0745ba72f4332'  # process-json-files.py
              '86bd54db6026ff65bd24ac4f05d0679a645ff447e2f81b0ee44037c0c4285e06'  # vendor.js.in
              'aa663d899e924f4979114584cad671dad3b93dd9b0dfe28bb1cf11ddf92e6d47') # zstandard-0.21.0.diff
-sha256sums_armv7h=('2d4d91f7e35d0860225084e37ec320ca6cae669f6c9c8fe7735cdbd542e3a7c9')
 sha256sums_i686=('a8786bb747ae8a12d28268f6731621810e13f405b664373b23a3070d5ed21302'  # avoid-libxul-OOM-python-check.patch
                  'b25d9fb901afc5447bcd87416741f705eb7188502e10097387d5b0c86417fd01'  # rust-static-disable-network-test-on-static-libraries.patch
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'  # firefox-111.0.1-fdlibm.patch
@@ -210,7 +208,6 @@ b2sums+=('a22044292e464b3922eb2e4a8cf0993524d232eeb4a8602707589d00f690498d3b76e5
          '085c4631ec8cfdf5842068d882185c783e976b1fde74167bb71ef4d7db8c70c12844177b17e76f858ba3ce2a402848ac8fc19910dcbefd29887abfaf5faac5e4'  # process-json-files.py
          'f3f344196d03499f3f0392d5dfc5310e131d8c85772edd340faf1df3f04ebf2931eb1dda1b7fe6870d61d498618f4d8ae9f1dd446acbe83e0ce324e04b38f3f9'  # vendor.js.in
          '2e568bb28f23f0f9225ca68a5084e3e835f6bd15046eea9d615d3462146da649c1b6b7439b4d768759bda2658d54ca73c9b3479e5e0b6d7a58822664dbe45aa2') # zstandard-0.21.0.diff
-b2sums_armv7h=('6e5980e56343a23bce4fcda58f6abc8f2debca0c278c87b09e53abb17ff15849c26e8df3bbff2388985f8fe5a4e9be9982c602ef7159546f0ae335fca1000a41')
 b2sums_i686=('01e1bcb331b6147b822fe4c45dd195f38e670db08bdff16db1c21dc2d529f4f783d5798cde415fec782c8fc9cf79ce70dadcc013be3c9d4f5a09fc3a1ee0744d'  # avoid-libxul-OOM-python-check.patch
              '32c60a9259f9ab6b950c0a3af81e4c36c14160860d3b9da70aa3fbc3676e5fd2b2705b02d7e6b6ac49f9510577de89ab2334abe3b0a126e3d70e65ac42ba62c9'  # rust-static-disable-network-test-on-static-libraries.patch
              '05c7c9727201971650df4ca2e00539767fc9e159539835c641fccab5ec9577a7294e8f62f5d0670158316e5467ea121c03a36fd4ba153e1d60f3402f0430548d'  # firefox-111.0.1-fdlibm.patch
@@ -259,6 +256,8 @@ readonly _USE_ALT_LINKER=$(case "${CARCH}" in i686|x86_64) echo 1 ;; *) echo 0 ;
 case "${CARCH}" in
 armv7h)
   makedepends=( ${makedepends[*]/wasi-*/} ) # armv7h has no wasi compiler
+
+  depends+=( libicudata.so libicui18n.so libicuuc.so ) # --with-system-icu
   ;;
 esac
 
@@ -361,8 +360,6 @@ prepare() {
     #        mozilla #1787405 and #1791267
     sed -i "s|# 'LIBYUV_DISABLE_NEON',|'LIBYUV_DISABLE_NEON',|" media/libyuv/libyuv/libyuv.gyp
     ! grep "# 'LIBYUV_DISABLE_NEON'," media/libyuv/libyuv/libyuv.gyp || ! echo "error patching media/libyuv/libyuv/libyuv.gyp" || exit 1
-
-    patch -p1 -i ../build-arm-libopus.patch
     ;;
   i686)
     # readelf: Error: Unable to seek to 0x801db328 for section headers
@@ -513,6 +510,7 @@ END
     elif [[ $CARCH == "aarch64" ]]; then
       echo 'ac_add_options --enable-rust-simd' >> .mozconfig
     fi
+
     echo 'ac_add_options --enable-optimize="-g0 -O2"' >> .mozconfig
     echo "mk_add_options MOZ_MAKE_FLAGS=\"${MAKEFLAGS}\"" >> .mozconfig
 
@@ -520,7 +518,7 @@ END
 
     # archarm patching is under the 'technical patching' section
 
-    # NOTE: At this point in the recipe, the arch, arch32, and parabola PKGBUILDs
+    # At this point in the recipe, the arch, arch32, and parabola PKGBUILDs
     # have prepared a temporary ${srcdir}/mozconfig; but the archarm PKGBUILD
     # writes directly to the final firefox-$pkgver/.mozconfig.
     # We allowed .mozconfig to be written above, only to minimize the diff against archarm.

From af4250db200ef1deac3daf511761f0ecd041cecb Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Oct 27 2023 02:58:38 +0000
Subject: [PATCH 11/14] libre/iceweasel: 119.0-1.parabola1


Update according to 119.0 changes from upstreams. Mozilla has added
Remote Settings client written in Rust, but from what I understood,
currently it's used only to fetch the data for suggestions called
Firefox Suggest, which include sponsored suggestions, of course. It
doesn't appear to support local dumps currently, so if more features
start using Rust client, it'll probably need further patching.

---

diff --git a/libre/iceweasel/9001-FSDG-sync-remote-settings-with-local-dump.patch b/libre/iceweasel/9001-FSDG-sync-remote-settings-with-local-dump.patch
index 379ce9e..721c30c 100644
--- a/libre/iceweasel/9001-FSDG-sync-remote-settings-with-local-dump.patch
+++ b/libre/iceweasel/9001-FSDG-sync-remote-settings-with-local-dump.patch
@@ -229,6 +229,36 @@ index 37a376ff90..ef73563f85 100644
  #define PROD_BID "main"
  #define PROD_CID "windows-default-browser-agent"
  #define PROD_ID "state"
+diff --git a/third_party/rust/remote_settings/.cargo-checksum.json b/third_party/rust/remote_settings/.cargo-checksum.json
+index 8794c625fe..d2752e72ef 100644
+--- a/third_party/rust/remote_settings/.cargo-checksum.json
++++ b/third_party/rust/remote_settings/.cargo-checksum.json
+@@ -1 +1 @@
+-{"files":{"Cargo.toml":"c74e3df90cd82fb4ee00dd38d7e39cd7a0142ad601b8b63ae214978a28fbe1ac","build.rs":"4326f03729cf8f1673e4228e6dc111de1ea4d8bcc06351f7ae563efb2613f866","src/client.rs":"3d87162e6913a81cc6f5178a7ca791e262d0d029e7dedf3df4fe2f66e5501185","src/config.rs":"7bb678addfae3b4ed5f2892d32263e5b33cc05e5a12a250f664150e78211f94a","src/error.rs":"192ca42af7c6b882f3129378c23b45dab8a0d2b179e23a8813a335ffd56b21dc","src/lib.rs":"416e99894e152f6cea7418ad2fabfd94bc3d907efd9f33fbd2a83fb99452b2df","src/remote_settings.udl":"e38758592ca75adbebb8fe688b10520d9931a5f3292d94f229cba05310756a43","uniffi.toml":"f8ec8dc593e0d501c2e9e40368ec93ec33b1edd8608e29495e0a54b63144e880"},"package":null}
+\ No newline at end of file
++{"files":{"Cargo.toml":"c74e3df90cd82fb4ee00dd38d7e39cd7a0142ad601b8b63ae214978a28fbe1ac","build.rs":"4326f03729cf8f1673e4228e6dc111de1ea4d8bcc06351f7ae563efb2613f866","src/client.rs":"ff1ab5961fe695989d1ff343c5042ce0f907dc323da2ba87005fc9437919b448","src/config.rs":"7bb678addfae3b4ed5f2892d32263e5b33cc05e5a12a250f664150e78211f94a","src/error.rs":"192ca42af7c6b882f3129378c23b45dab8a0d2b179e23a8813a335ffd56b21dc","src/lib.rs":"416e99894e152f6cea7418ad2fabfd94bc3d907efd9f33fbd2a83fb99452b2df","src/remote_settings.udl":"e38758592ca75adbebb8fe688b10520d9931a5f3292d94f229cba05310756a43","uniffi.toml":"f8ec8dc593e0d501c2e9e40368ec93ec33b1edd8608e29495e0a54b63144e880"},"package":null}
+diff --git a/third_party/rust/remote_settings/src/client.rs b/third_party/rust/remote_settings/src/client.rs
+index 9585a7cc7c..1c97208b82 100644
+--- a/third_party/rust/remote_settings/src/client.rs
++++ b/third_party/rust/remote_settings/src/client.rs
+@@ -33,7 +33,7 @@ impl Client {
+     pub fn new(config: RemoteSettingsConfig) -> Result<Self> {
+         let server_url = config
+             .server_url
+-            .unwrap_or_else(|| String::from("https://firefox.settings.services.mozilla.com"));
++            .unwrap_or_else(|| String::from("resource://app/defaults/settings"));
+         let bucket_name = config.bucket_name.unwrap_or_else(|| String::from("main"));
+         let base_url = Url::parse(&server_url)?;
+ 
+@@ -518,7 +518,7 @@ mod test {
+         };
+         let client = Client::new(config).unwrap();
+         assert_eq!(
+-            Url::parse("https://firefox.settings.services.mozilla.com").unwrap(),
++            Url::parse("resource://app/defaults/settings").unwrap(),
+             client.base_url
+         );
+         assert_eq!(String::from("main"), client.bucket_name);
 -- 
 2.42.0
 
diff --git a/libre/iceweasel/9004-FSDG-misc.patch b/libre/iceweasel/9004-FSDG-misc.patch
index 0971c58..ffb073f 100644
--- a/libre/iceweasel/9004-FSDG-misc.patch
+++ b/libre/iceweasel/9004-FSDG-misc.patch
@@ -1118,10 +1118,10 @@ index 1e1bffed47..14b6cf9f5a 100644
 2.39.2
 
 diff --git a/browser/app/permissions b/browser/app/permissions
-index 5bc1d66fcd..a8252ab784 100644
+index 1c72a96de8..052a6a5c83 100644
 --- a/browser/app/permissions
 +++ b/browser/app/permissions
-@@ -17,14 +17,8 @@ origin	uitour	1	https://truecolors.firefox.com
+@@ -15,9 +15,6 @@ origin	uitour	1	https://support.mozilla.org
  origin	uitour	1	about:home
  origin	uitour	1	about:newtab
  
@@ -1131,11 +1131,6 @@ index 5bc1d66fcd..a8252ab784 100644
  # Remote troubleshooting
  origin	remote-troubleshooting	1	https://support.mozilla.org
  
--# addon install
--origin	install	1	https://fpn.firefox.com
--
- # autoplay video/audio
- origin	autoplay-media	1	about:welcome
 diff --git a/browser/components/preferences/sync.inc.xhtml b/browser/components/preferences/sync.inc.xhtml
 index 7d37d26..4ebbc06 100644
 --- a/browser/components/preferences/sync.inc.xhtml
@@ -1164,10 +1159,10 @@ index 7d37d26..4ebbc06 100644
  
    <vbox id="hasFxaAccount">
 diff --git a/toolkit/locales/en-US/toolkit/branding/brandings.ftl b/toolkit/locales/en-US/toolkit/branding/brandings.ftl
-index a52cde5532..251acad0f8 100644
+index e446a1e651..b6c9e4adc6 100644
 --- a/toolkit/locales/en-US/toolkit/branding/brandings.ftl
 +++ b/toolkit/locales/en-US/toolkit/branding/brandings.ftl
-@@ -15,28 +15,28 @@
+@@ -15,18 +15,18 @@
  ## https://mozilla-l10n.github.io/styleguides/mozilla_general/#brands-copyright-and-trademark
  
  -facebook-container-brand-name = Facebook Container
@@ -1194,6 +1189,10 @@ index a52cde5532..251acad0f8 100644
  -relay-brand-short-name = Relay
  -fakespot-brand-name = Fakespot
  
+@@ -36,14 +36,14 @@
+ # The particle "by" can be localized, "Fakespot" and "Mozilla" should not be localized or transliterated.
+ -fakespot-brand-full-name = Fakespot by Mozilla
+ 
 -# “Suggest” can be localized, “Firefox” must be treated as a brand
 +# “Suggest” can be localized, “Iceweasel” must be treated as a brand
  # and kept in English.
@@ -1211,7 +1210,6 @@ index a52cde5532..251acad0f8 100644
  # and kept in English.
 --firefoxview-brand-name = Firefox View
 +-firefoxview-brand-name = Iceweasel View
-
 diff --git a/browser/locales/en-US/browser/preferences/preferences.ftl b/browser/locales/en-US/browser/preferences/preferences.ftl
 index 829c18c5e1..71c75114e9 100644
 --- a/browser/locales/en-US/browser/preferences/preferences.ftl
diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index ebcc871..76ab011 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -70,10 +70,10 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=118.0.2
+pkgver=119.0
 pkgrel=1
 pkgrel+=.parabola1
-_brandingver=115.0
+_brandingver=119.0
 _brandingrel=1
 pkgdesc="Standalone web browser derived from Mozilla Firefox"
 url=https://wiki.parabola.nu/Iceweasel
@@ -153,7 +153,8 @@ options=(
 source=(
   https://archive.mozilla.org/pub/firefox/releases/$pkgver/source/firefox-$pkgver.source.tar.xz{,.asc}
   $pkgname.desktop
-  identity-icons-brand.svg)
+  identity-icons-brand.svg
+)
 source=(${source[*]/identity-icons-brand.svg/}) # branding over-ride
 source+=(
   https://repo.parabola.nu/other/iceweasel/${pkgname}_${_brandingver}-${_brandingrel}.branding.tar.xz{,.sig}
@@ -179,15 +180,15 @@ validpgpkeys+=(
   'BFA8008A8265677063B11BF47171986E4B745536' # Andreas Grapentin
   '3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40' # bill-auger
 )
-sha256sums=('89626520f2f0f782f37c074b94690e0f08dcf416be2b992f4aad68df5d727b21'
+sha256sums=('f63e44194548f246e1396508800739a24c0517e65e920002a6f67ee099be39dd'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58')
-sha256sums+=('b701b4c47fca2661feeabe172e398c76c8015ee08ff4cc3cc2f7c3ef2ed692a7'
+sha256sums+=('3ea72621218b8db739d2a8ee723361f7f61c048edeab12abdba3a9f9d9ec6cb2'
              'SKIP'
-             '4dd43c446e865da73596bb34ee16966be937b78154e1269534b49566399a8025'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+             'b01209c5462237dff3ff7788e7bfedad7a327d9d2759dd65c77cfb71667f2fbd'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
              '65d9a18b9b2b3f1034b427af486c82416c360c0e9254ada42d81ff2b7132b1ca'  # 9002-FSDG-preference-defaults.patch
              '07d6910ddd07f60b803957259e06e3babee6f072f48c6fe31b906a1ea24e3b62'  # 9003-FSDG-urihandlers.patch
-             '4d9b0dc4b34fb5c00067f075c33338a4d27d99cfd90629caa117ad02c7a64e30'  # 9004-FSDG-misc.patch
+             '75c437e73c4a8007251581c957d3d36b85ba77270a72411ff5185a201cfeac6f'  # 9004-FSDG-misc.patch
              '00cb44a91b42942f17258ad165810866ff123777b667a5691ea0745ba72f4332'  # process-json-files.py
              '86bd54db6026ff65bd24ac4f05d0679a645ff447e2f81b0ee44037c0c4285e06'  # vendor.js.in
              'aa663d899e924f4979114584cad671dad3b93dd9b0dfe28bb1cf11ddf92e6d47') # zstandard-0.21.0.diff
@@ -196,15 +197,15 @@ sha256sums_i686=('a8786bb747ae8a12d28268f6731621810e13f405b664373b23a3070d5ed213
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'  # firefox-111.0.1-fdlibm.patch
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'  # fix-i686-build-moz-1792159.patch
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544') # fix-i686-xsimd-incomplete.patch
-b2sums=('e7b166903dc13ddaf514dea7833de0f464611551b054e5c2e336d3e1995f9c0d3bf6cfbd3cb9306be672d6451b6343e56025c99d0fed4b1d23fd6ea8e519ac9c'
+b2sums=('4fc9852839a65b05c0861eea1d3c99aa9ef8eef02ba02dab15720d0da62b219f0fc2c4bdda1741dcf0eed316b88f032580c7cf433c4d09170b5c8e19e8ad4e1d'
         'SKIP'
         'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635')
-b2sums+=('a22044292e464b3922eb2e4a8cf0993524d232eeb4a8602707589d00f690498d3b76e515c8d0ce4995b3bf8a65df9aa814b49de469178aa1f8cc07ec19dd5d32'
+b2sums+=('0e1569ae34575e16762e034d3dba241a390a78d7af2d181683b419da35ac06acc557c3b3799a52e6aebf368063104ee51d81546749244db4a968aa360c111aa1'
          'SKIP'
-         '03020bb01d0fc528f76f2532d07c60f93abcfd4f59f3dd49e82a660cf5333aff447a576d9a6a6042849c7527499d5265b31f3a86bf3e16068987c2eb434b7f9c'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+         'cc79ed221206fcc4ec63f4d5e2e430a2993904077a5074d9bfa193911401199d5d8df01c392fdab0adfdce4085938855ab3098556630cc6fd377d5cf97d00b25'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
          '2d2174819ec281314a5c736c05e647c8ba270670e92fc9a4c17496a2ac45da4514095ae57db05253cf48513e42d58eda87b28c9c62c119d5a4788fcaab01d213'  # 9002-FSDG-preference-defaults.patch
          'dbb0f9639cbe08bf423faf9e2966b5464a26ab5c6314eea18be0e89edd8ac465bfa04a219821852bdd0801dfed9092999bcca1a982a631035bae9a51408d8dde'  # 9003-FSDG-urihandlers.patch
-         '751908c3fa56b55cd85b41ed504300d6988172427c18bdbb2f88ea47a073a646d0b6d3f3887d3d090eb2f80462ff36aac82b86592c1651c69f0442e187f46efd'  # 9004-FSDG-misc.patch
+         '878b4aa544b65dac165e329e3cbcb88d4ee8cdc41a5c47a9e1bc332c3f52912fd73836072e60da907c825a062695d34478d52886aa05a76915852e6dbd892e91'  # 9004-FSDG-misc.patch
          '085c4631ec8cfdf5842068d882185c783e976b1fde74167bb71ef4d7db8c70c12844177b17e76f858ba3ce2a402848ac8fc19910dcbefd29887abfaf5faac5e4'  # process-json-files.py
          'f3f344196d03499f3f0392d5dfc5310e131d8c85772edd340faf1df3f04ebf2931eb1dda1b7fe6870d61d498618f4d8ae9f1dd446acbe83e0ce324e04b38f3f9'  # vendor.js.in
          '2e568bb28f23f0f9225ca68a5084e3e835f6bd15046eea9d615d3462146da649c1b6b7439b4d768759bda2658d54ca73c9b3479e5e0b6d7a58822664dbe45aa2') # zstandard-0.21.0.diff

From 8046a2ea88c38990bbbd6c5bdd1df6e6a3b3af1d Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 27 2023 02:59:46 +0000
Subject: [PATCH 12/14] [apulse]: adopt package


---

diff --git a/pcr/apulse/PKGBUILD b/pcr/apulse/PKGBUILD
new file mode 100644
index 0000000..d1b7175
--- /dev/null
+++ b/pcr/apulse/PKGBUILD
@@ -0,0 +1,48 @@
+# Maintainer (aur): Christian Hesse <arch@eworm.de>
+# Contributor: speps <speps at aur dot archlinux dot org>
+
+pkgname=apulse
+pkgver=0.1.13
+pkgrel=1
+pkgdesc='PulseAudio emulation for ALSA'
+arch=('i686' 'x86_64')
+arch+=('armv7h')
+url='https://github.com/i-rinat/apulse'
+license=('custom:MIT')
+license+=('LGPL2.1') # pulseaudio headers
+depends=('alsa-lib' 'glib2')
+makedepends=('cmake')
+install=apulse.install
+source=("${pkgname}-${pkgver}.tar.gz::${url}/archive/v${pkgver}.tar.gz"
+        'asoundrc.sample')
+sha256sums=('9234ec4e10e408b9c01d5f4ea768ad1fc15494217c932db2c435202a9c7b5efd'
+            'e851197ec9ebff528154210751cd6d5c426abfc2b1aa34343580407b1ea789a4')
+
+prepare() {
+	cd apulse-${pkgver}
+
+	mkdir -p build
+}
+
+build() {
+	cd apulse-${pkgver}/build
+
+	cmake .. -DCMAKE_INSTALL_PREFIX=/usr \
+		-Wno-dev \
+		-DCMAKE_BUILD_TYPE=Release
+	make
+}
+
+package() {
+	cd apulse-${pkgver}/build
+
+	make DESTDIR="${pkgdir}/" install
+
+	# sample asoundrc
+	install -Dm644 ../../${source[1]} \
+		"${pkgdir}/usr/share/${pkgname}/${source[1]}"
+
+	# license
+	install -Dm644 ../LICENSE.MIT \
+		"${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
diff --git a/pcr/apulse/apulse.install b/pcr/apulse/apulse.install
new file mode 100644
index 0000000..ffc1caf
--- /dev/null
+++ b/pcr/apulse/apulse.install
@@ -0,0 +1,13 @@
+post_install() {
+  cat << EOF
+
+For using PulseAudio emulation (ex. in skype):
+
+1. create a proper .asoundrc
+  $ cp /usr/share/apulse/asoundrc.sample ~/.asoundrc
+
+2. run apulse <program-name> [parameters]
+  $ apulse skype
+
+EOF
+}
diff --git a/pcr/apulse/asoundrc.sample b/pcr/apulse/asoundrc.sample
new file mode 100644
index 0000000..b529dc7
--- /dev/null
+++ b/pcr/apulse/asoundrc.sample
@@ -0,0 +1,15 @@
+pcm.!default {
+    type plug
+    slave.pcm "asymed"
+}
+
+
+pcm.asymed {
+    type asym
+    playback.pcm {
+        @func getenv
+        vars [ ALSAPCM ]
+        default "dmix"
+    }
+    capture.pcm "dsnoop"
+}

From d4a178d141072bc1bb7556991b3ea2b8438d14df Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 27 2023 02:59:59 +0000
Subject: [PATCH 13/14] [quassel]: rebuild against latest k*5 things


---

diff --git a/libre/quassel/PKGBUILD b/libre/quassel/PKGBUILD
index 7c85913..752aadb 100644
--- a/libre/quassel/PKGBUILD
+++ b/libre/quassel/PKGBUILD
@@ -18,15 +18,15 @@ pkgname=('quassel-core'
          'quassel-monolithic-qt'
          'quassel-common')
 pkgver=0.14.0
-pkgrel=2
+pkgrel=3
 pkgrel+=.parabola1
 pkgdesc="Next-generation distributed IRC client"
 arch=('x86_64')
 arch+=('armv7h' 'i686')
 url="https://quassel-irc.org/"
 license=('GPL')
-makedepends=('qt5-base' 'qt5-tools' 'qt5-webengine' 'qca'
-             'qt5-multimedia' 'knotifyconfig' 'sonnet' 'libldap' 'cmake'
+makedepends=('qt5-base' 'qt5-tools' 'qt5-webengine' 'qca-qt5'
+             'qt5-multimedia' 'knotifyconfig5' 'sonnet5' 'libldap' 'cmake'
              'extra-cmake-modules' 'python' 'hicolor-icon-theme' 'boost')
 makedepends=( ${makedepends[*]/qt5-webengine/qt5-webkit} )
 source=(https://quassel-irc.org/pub/$pkgbase-$pkgver.tar.bz2
@@ -131,7 +131,7 @@ backup=(etc/conf.d/quassel)
 
 package_quassel-client() {
 pkgdesc="Next-generation distributed IRC client - client only, KDE version"
-depends=('quassel-common' 'qt5-base' 'qt5-webengine' 'qt5-multimedia' 'knotifyconfig')
+depends=('quassel-common' 'qt5-base' 'qt5-webengine' 'qt5-multimedia' 'knotifyconfig5')
 depends=( ${depends[*]/qt5-webengine/qt5-webkit} )
 optdepends=('perl: for builtin /exec scripts')
 conflicts=('quassel-client-qt')
@@ -145,7 +145,7 @@ conflicts=('quassel-client-qt')
 
 package_quassel-client-qt() {
 pkgdesc="Next-generation distributed IRC client - client only, Qt version with reduced deps"
-depends=('quassel-common' 'qt5-base' 'qt5-svg' 'sonnet')
+depends=('quassel-common' 'qt5-base' 'qt5-svg' 'sonnet5')
 optdepends=('perl: for builtin /exec scripts')
 conflicts=('quassel-client')
 replaces=('quassel-client-small' 'quassel-remote')
@@ -161,8 +161,8 @@ replaces=('quassel-client-small' 'quassel-remote')
 
 package_quassel-monolithic() {
 pkgdesc="Next-generation distributed IRC client - monolithic, KDE version"
-depends=('quassel-common' 'qt5-base' 'qt5-webengine' 'qt5-multimedia' 'qca'
-         'knotifyconfig' 'libldap')
+depends=('quassel-common' 'qt5-base' 'qt5-webengine' 'qt5-multimedia' 'qca-qt5'
+         'knotifyconfig5' 'libldap')
 depends=( ${depends[*]/qt5-webengine/qt5-webkit} )
 optdepends=('perl: for builtin /exec scripts'
             'postgresql: PostgreSQL database support')
@@ -179,7 +179,7 @@ conflicts=('quassel-monolithic-qt')
 
 package_quassel-monolithic-qt() {
 pkgdesc="Next-generation distributed IRC client - monolithic, Qt version with reduced deps"
-depends=('quassel-common' 'qca' 'qt5-base' 'qt5-svg' 'sonnet')
+depends=('quassel-common' 'qca' 'qt5-base' 'qt5-svg' 'sonnet5')
 optdepends=('perl: for builtin /exec scripts'
             'postgresql: PostgreSQL database support')
 conflicts=('quassel-monolithic')

From 0a4b48ee526d74859762a8f4545bbaeebccd38e5 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Oct 27 2023 04:00:12 +0000
Subject: [PATCH 14/14] [iceweasel]: update branding checksums


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 76ab011..566c8a2 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -183,7 +183,7 @@ validpgpkeys+=(
 sha256sums=('f63e44194548f246e1396508800739a24c0517e65e920002a6f67ee099be39dd'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58')
-sha256sums+=('3ea72621218b8db739d2a8ee723361f7f61c048edeab12abdba3a9f9d9ec6cb2'
+sha256sums+=('6af335bf59b5d5147e4883154d623826b57cbc3d9e41770a334ae2afe772ba6e'
              'SKIP'
              'b01209c5462237dff3ff7788e7bfedad7a327d9d2759dd65c77cfb71667f2fbd'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
              '65d9a18b9b2b3f1034b427af486c82416c360c0e9254ada42d81ff2b7132b1ca'  # 9002-FSDG-preference-defaults.patch
@@ -200,7 +200,7 @@ sha256sums_i686=('a8786bb747ae8a12d28268f6731621810e13f405b664373b23a3070d5ed213
 b2sums=('4fc9852839a65b05c0861eea1d3c99aa9ef8eef02ba02dab15720d0da62b219f0fc2c4bdda1741dcf0eed316b88f032580c7cf433c4d09170b5c8e19e8ad4e1d'
         'SKIP'
         'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635')
-b2sums+=('0e1569ae34575e16762e034d3dba241a390a78d7af2d181683b419da35ac06acc557c3b3799a52e6aebf368063104ee51d81546749244db4a968aa360c111aa1'
+b2sums+=('8946e6e2dbfca390d69d79d409f8c4dbf74522c96a038a79659869f697ba3aafc0289e4ebc5ba21508cc2ef070d2859cee07b1b8052991d4c17ed992fef8bed1'
          'SKIP'
          'cc79ed221206fcc4ec63f4d5e2e430a2993904077a5074d9bfa193911401199d5d8df01c392fdab0adfdce4085938855ab3098556630cc6fd377d5cf97d00b25'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
          '2d2174819ec281314a5c736c05e647c8ba270670e92fc9a4c17496a2ac45da4514095ae57db05253cf48513e42d58eda87b28c9c62c119d5a4788fcaab01d213'  # 9002-FSDG-preference-defaults.patch

